# $Revision: 1.4 $, $Date: 2009/03/14 16:21:37 $
Summary:	Simple Python Interface to Bugs in Launchpad
Name:		python-launchpad-bugs
Version:	0.3.5
Release:	1
License:	GPL v2/LGPL
Group:		Development/Languages/Python
Source0:	ftp://ftp.ubuntu.com/ubuntu/pool/main/p/python-launchpad-bugs/%{name}_%{version}.tar.gz
# Source0-md5:	2751fafafe83031dc7ac5df999fed134
URL:		https://launchpad.net/python-launchpad-bugs
Patch0:		%{name}-rpm.patch
BuildRequires:	rpm-pythonprov
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Classes to access bug information in Launchpad.

%prep
%setup -q -n main
%patch0 -p1

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS TODO
%doc docs/* examples
%dir %{py_sitescriptdir}/launchpadbugs
%{py_sitescriptdir}/launchpadbugs/*.py[co]
%{py_sitescriptdir}/python_launchpad_bugs-%{version}-*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-launchpad-bugs.spec,v $
Revision 1.4  2009/03/14 16:21:37  duddits
- up to 0.3.5
- rpm.patch updated
- %files

Revision 1.3  2008/10/12 10:45:41  patrys
- rel 1

Revision 1.2  2008-04-24 09:11:03  glen
- add rpm patch

Revision 1.1  2008-04-24 08:28:02  glen
- new
